# keynote-extractor

Tool that is part of a workflow to achieve a clean export of notes and images from a Keynote presentation. More info see <a href="http://johanronsse.be/2016/05/23/a-way-to-export-keynote-presentations-as-proper-html/">here</a>.

## How to use

<ul>
   <li>First you do an image export of your presentation</li>
   <li>Then you do another export, in the Keynote '09 format</li>
   <li>Rename the keynote 09 export (in .key format) to .zip</li>
   <li>Unarchive it and find a file called index.apxl</li>
   <li>Now run this <a href="https://github.com/MattiSG/Keynote-notes-extractor">script</a> on the index.apxl file</li>
   <li>Now you have an index.html file with your notes. Place the output of the image export step in a folder called 'images'</li>
   <li>Then install <a href="https://github.com/thomastuts/keynote-extractor">Keynote extractor</a> (this repo).  You can install it globally using <code>npm install keynote-extractor -g</code> (This code was written by my great colleague <a href="http://thomastuts.com/">Thomas</a> 👌 Great job!)<
 <li>Run the <code>keynote-extractor</code> command in the folder containing the index.html and the images folder</li>
 <li>Tadaa! Here is your presentation.</li>
</ul>
